<?php
class sgsfAutoloadConfigHandler extends sfAutoloadConfigHandler
{
  static public function parseFile($path, $file, $prefix)
  {
	$mapping = parent::parseFile($path, $file, $prefix);
	$sf_root_dir = sfConfig::get('sf_root_dir');
	@mkdir($dir = $sf_root_dir.'/cache/sourceguardian'); 
	if ($m = @unserialize(file_get_contents($dir.'/classMapping.txt'))) {
		foreach($m as $class => $file) {
			if (!@$mapping[$class]) $mapping[$class] = $sf_root_dir.$file;  
		}
	}	
	$m = array();
	foreach ($mapping as $class => $file) {
		if (strpos($file, $sf_root_dir) === 0) {
			$m[$class] = substr($file, strlen($sf_root_dir));
		}
	} 
	file_put_contents($dir.'/classMapping.txt', serialize($m));
	return $mapping;
  }
}
?>
